Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# XmlHandler Class Reference

The XmlHandler class is a XML document structure holder. More...

`#include <qtopia/xmlreader.h>`

List of all member functions.

## Public Members

- XmlHandler ()
- ~XmlHandler ()
- bool startDocument ()
- bool endDocument ()
- bool startElement ( const QString &, const QString &, const QString & qName, const QXmlAttributes & attr )
- bool endElement ( const QString &, const QString &, const QString & )
- bool characters ( const QString & ch )
- Node * firstNode () const

## Detailed Description

The XmlHandler class is a XML document structure holder.

This class provides a tree of Nodes that developers can use to organise their XML data.

See also Node and Qtopia Classes.

## Member Function Documentation

### XmlHandler::XmlHandler ()

Creates an empty XmlHandler.

### XmlHandler::~XmlHandler ()

Destructs an XmlHandler.

### bool XmlHandler::characters ( const QString & ch )

Appends the data ch to the current Node.

### bool XmlHandler::endDocument ()

Returns TRUE if the XmlHandler contains a valid tree of Nodes.

### bool XmlHandler::endElement ( const QString &, const QString &, const QString & )

Ends a sub-element safely.

### Node * XmlHandler::firstNode () const

Returns the root Node of the tree.

### bool XmlHandler::startDocument ()

Initialises an XmlHandler with a root Node named DOCUMENT. Returns TRUE if successful.

### bool XmlHandler::startElement ( const QString &, const QString &, const QString & qName, const QXmlAttributes & attr )

Creates a new sub-element, with name qName and attributes attr.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.